Skip to main content
GET
/
v2
/
trade
/
{chain}
/
activities
Activity - List
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/activities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
      "blockHeight": 332417228,
      "blockTimestamp": 1717334400000,
      "chain": "sol",
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "sideTokenAddress": "So11111111111111111111111111111111111111112",
      "sideTokenAmount": "1",
      "sideTokenAmountInNative": "150",
      "sideTokenAmountInUsd": "150",
      "sideTokenName": "Wrapped SOL",
      "sideTokenPriceInNative": "1",
      "sideTokenPriceInUsd": "150",
      "sideTokenSymbol": "SOL",
      "status": "SUCCEEDED",
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tokenAmount": "1000000",
      "tokenAmountInNative": "100",
      "tokenAmountInUsd": "8800000",
      "tokenName": "TRUMP",
      "tokenPriceInNative": "0.0001",
      "tokenPriceInUsd": "8.80",
      "tokenSymbol": "TRUMP",
      "transactionSignature": "37XpPt9Ak6JiE1V3sftJDtdUsvR9FVFRqkZmoT3dp4BTD9pgyTWn1XgHH6R7NjuJ4pBMAgj8JvZtxQrf4s6NTC5F",
      "type": "BUY",
      "accountAddress": "<string>",
      "addrType": 123,
      "dexImage": "https://example.com/dex.png",
      "dexProgramAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "dexProtocolFamily": "OrcaWhirpool",
      "gasFee": 5000,
      "gasFeeInNative": "0.000073",
      "gasFeeInUsd": "0.011",
      "historyBoughtAmount": "<string>",
      "historySoldAmount": "<string>",
      "historySoldIncome": "<string>",
      "isOpenOrClose": 123,
      "makerEventTags": [
        "<string>"
      ],
      "makerExchange": "<string>",
      "makerName": "<string>",
      "marketCapInUsd": "1500000.00",
      "postBalance": "<string>",
      "realizedProfitInUsd": "<string>",
      "sideTokenImageUrl": "https://arweave.net/sol.png",
      "tokenImageUrl": "https://arweave.net/token.png",
      "totalTrade": 123,
      "traderTags": [
        "<string>"
      ],
      "unrealizedProfitInUsd": "<string>"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
tokenAddress
string

An address of a token

walletAddress
string

An address of a wallet

poolAddress
string

A pool address

beforeTimestamp
integer<int64>

Start timestamp for filtering trades (Unix epoch in seconds)

afterTimestamp
integer<int64>

End timestamp for filtering trades (Unix epoch in seconds)

beforeBlockHeight
integer<int64>

Filter trades before this block height

afterBlockHeight
integer<int64>

Filter trades after this block height

transactionsSignature
string

Transaction signature/hash

type
enum<string>

Activity type filter Activity type (extends TradeType)

Available options:
BUY,
SELL,
LIQUIDITY_INITIALIZE,
LIQUIDITY_ADD,
LIQUIDITY_REMOVE,
RED_PACKET_CREATE,
RED_PACKET_CLAIM,
RED_PACKET_COMPLETE,
RED_PACKET_REFUND
sortBy
enum<string>
default:timestamp

DTO.TRADE.SORT_BY Sort by: timestamp (default) | totalUsd Sort field for activities query

Available options:
timestamp,
totalUsd
traderTags
string

Filter by trader tag(s). Comma-separated list from: kol, smart, sniper, bundle, dev, bluechip, insider, fresh. Returns activities where the trader has ANY of the specified tags.

minAmountUsd
string

Minimum trade value in USD (inclusive). Filters out small trades.

maker
string

Filter by specific maker (trader) wallet address. Equivalent to filtering by accountOwnerAddress.

Response

200 - application/json

Successful response

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="